# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.30 ? 1 : 0;' 2>/dev/null || echo 0)

Name:		perl-Pod-Coverage-TrustPod
Version:	0.100001
Release:	1.%{__distinit}%{__distvers}
Summary:	Allow a module's pod to contain Pod::Coverage hints
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Pod-Coverage-TrustPod/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Pod-Coverage-TrustPod-%{version}.tar.gz
Patch0:		Pod-Coverage-TrustPod-0.100001-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::Coverage)
BuildRequires:	perl(Pod::Eventual::Simple)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::More)
Requires:	perl(Pod::Coverage::CountParents)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a Pod::Coverage subclass (actually, a subclass of
Pod::Coverage::CountParents) that allows the POD itself to declare certain
symbol names trusted.

%prep
%setup -q -n Pod-Coverage-TrustPod-%{version}

# Patch out unnecessary requirement of ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Coverage::TrustPod.3pm*

%changelog
* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> 0.100001-1
- Update to 0.100001
  - Anchor the regex at both ends when matching symbols: /\A...\z/
- Update patch for old ExtUtils::MakeMaker versions and only apply it when
  necessary

* Fri Apr  8 2011 Paul Howarth <paul@city-fan.org> 0.100000-1
- Update to 0.100000
  - Simplify tests to avoid causing bizarre catastrophic failures on 5.13.11
- Nobody else likes macros for commands

* Mon Nov  1 2010 Paul Howarth <paul@city-fan.org> 0.092832-1
- Update to 0.092832 (remove bogus prereq BaseWithNoPod)

* Fri Oct 22 2010 Paul Howarth <paul@city-fan.org> 0.092831-1
- Update to 0.092831 (repackage with a v1 META.yml file)

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.092830-4
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 0.092830-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb  3 2010 Paul Howarth <paul@city-fan.org> 0.092830-2
- Import from Fedora
- Add manual dependency on perl(Pod::Coverage::CountParents)

* Thu Jan 14 2010 Iain Arnell 0.092830-1
- Specfile autogenerated by cpanspec 1.78
